include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### tdefile_drgeo (kpart)

tde_add_kpart( tdefile_drgeo AUTOMOC

  SOURCES
        tdefile_drgeo.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### tdefile_kig (kpart)

tde_add_kpart( tdefile_kig AUTOMOC

  SOURCES
        tdefile_kig.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop(
  SOURCE tdefile_drgeo.desktop tdefile_kig.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR kig-tdefile
)
